org.apache.ivy.plugins.parser.m2

## Class PomModuleDescriptorBuilder.PomDependencyDescriptor

- java.lang.Object
- - org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor
  - - org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder.PomDependencyDescriptor

All Implemented Interfaces:
  DependencyDescriptor, InheritableItem, ExtendableItem

Enclosing class:
  PomModuleDescriptorBuilder

    public static class PomModuleDescriptorBuilder.PomDependencyDescriptor
    extends DefaultDependencyDescriptor

`DependencyDescriptor` that provides access to the original `PomDependencyData`.

### Method Summary

Methods
`PomReader.PomDependencyData` `getPomDependencyData()` Get PomDependencyData.

### Methods inherited from class org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor

`addDependencyArtifact, addDependencyConfiguration, addExcludeRule, addIncludeRule, asSystem, canExclude, clone, doesExclude, getAllDependencyArtifacts, getAllExcludeRules, getAllIncludeRules, getAttribute, getAttributes, getDependencyArtifacts, getDependencyArtifacts, getDependencyConfigurations, getDependencyConfigurations, getDependencyConfigurations, getDependencyId, getDependencyRevisionId, getDynamicConstraintDependencyRevisionId, getExcludeRules, getExcludeRules, getExtraAttribute, getExtraAttributes, getIncludeRules, getIncludeRules, getModuleConfigurations, getNamespace, getParentRevisionId, getQualifiedExtraAttributes, getSourceModule, isChanging, isForce, isTransitive, replaceFallbackConfigurationPattern, replaceSelfFallbackPattern, replaceThisFallbackPattern, toString, transformInstance, transformInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getPomDependencyData

    public PomReader.PomDependencyData getPomDependencyData()

Get PomDependencyData.

Returns:
  PomDependencyData